edu.isi.pegasus.planner.provenance.pasoa.producer

## Class XMLProducerFactory

- java.lang.Object
- - edu.isi.pegasus.planner.provenance.pasoa.producer.XMLProducerFactory

    public class XMLProducerFactory
    extends java.lang.Object

The factory for instantiating an XMLProducer.

Version:
  $Revision$
Author:
  Karan Vahi

### Field Summary

Fields
`static java.lang.String` `DEFAULT_PACKAGE_NAME` The default package where all the implementations reside.
`static java.lang.String` `DEFAULT_XML_PRODUCER` The default XML producer implementation to be used.

### Constructor Summary

Constructors
Constructor and Description
`XMLProducerFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static XMLProducer` `loadXMLProducer(PegasusProperties properties)` Loads the appropriate XMLProducer on the basis of the property set in the properties.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_PACKAGE_NAME

    public static final java.lang.String DEFAULT_PACKAGE_NAME

The default package where all the implementations reside.

See Also:
  Constant Field Values

#### DEFAULT_XML_PRODUCER

    public static final java.lang.String DEFAULT_XML_PRODUCER

The default XML producer implementation to be used.

See Also:
  Constant Field Values

### Constructor Detail

#### XMLProducerFactory

    public XMLProducerFactory()

### Method Detail

#### loadXMLProducer

    public static XMLProducer loadXMLProducer(PegasusProperties properties)
                                       throws XMLProducerFactoryException

Loads the appropriate XMLProducer on the basis of the property set in the properties.

Parameters:
  `properties` - the `PegasusProperties` object containing all the properties required by Pegasus.
Returns:
  the instance of the appropriate XML Producer.
Throws:
  `XMLProducerFactoryException` - that nests any error that might occur during the instantiation
See Also:
  `DEFAULT_PACKAGE_NAME`